#include <iocslib.h>
#include "deftype.h"

void B_PRINT_DEC(int code,unchar initc,int keta)
/* 画面のみ１０進数出力ルーチン */
{
unint i;
unchar dec[12]; /* 整数値は最大１０桁＋負号だから */
	i=make_dec(code,dec);
	if (keta>0) while (i>11-keta) dec[--i]=initc; /* end:i=keta; */
	B_PRINT(&dec[i]);
}
